2,CREATE TABLE SYSTSYST (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    APPSYSTNAMECASE VARCHAR   (16),
    SYSTVER         VARCHAR   (16),
    SYSTDESC        NVARCHAR2 (80),
    SYSTLANGUE      NUMBER    (2),
    SYSTDIR         NVARCHAR2 (128),
    SYSTMODIF       DATE,
    CREATIONDATE    DATE,
    LASTMODIFDATE   DATE,
    NBMODIF         NUMBER    (6),
    UPDSEQ          NUMBER    (6),
    USRCODE         NVARCHAR2 (16),
    SYSTNOTES       LONG,
    PRIMARY KEY(APPSYSTNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE SYSTSECTION (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    SECTNAME        VARCHAR   (16) NOT NULL,
    SECTFULLNAME    VARCHAR   (80) NOT NULL,
    SECTCREATION    DATE,
    LASTMODIFDATE   DATE,
    FATHERSECT      VARCHAR   (16),
    SECTDESC        LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTSECTION2 ON SYSTSECTION(APPSYSTNAME,SECTNAME);
2,CREATE TABLE SYSTAPP (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    APPNAME         VARCHAR   (16) NOT NULL,
    APPNAMECASE     VARCHAR   (16),
    APPSDESC        NVARCHAR2 (80),
    APPSUBSYSTNAME  VARCHAR   (16) NOT NULL,
    APPAUTHOR       NVARCHAR2 (40),
    APPVERSION      NVARCHAR2 (6),
    APPCREATION     DATE,
    APPMODIF        DATE,
    APPFUNCTION     NUMBER    (12),
    APPLOCK         NUMBER    (2),
    APPMENUNAME     VARCHAR   (16),
    APPDEFQV        VARCHAR   (30) NOT NULL,
    APPDEFQH        VARCHAR   (30),
    APPDEFIMP       VARCHAR   (30),
    APPDEFLST       VARCHAR   (30),
    APPNOTES        LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTAPP2 ON SYSTAPP(APPSYSTNAME,APPNAME);
2,CREATE TABLE SYSTAPPTXT (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    APPNAME         VARCHAR   (16) NOT NULL,
    LANGUE          NUMBER    (3)  NOT NULL,
    APPFULLNAME     NVARCHAR2 (40) NOT NULL,
    APPDESC         LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTAPPTXT2 ON SYSTAPPTXT(APPSYSTNAME,APPNAME,LANGUE);
2,CREATE TABLE SYSTMODULE(
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    MODNAME         VARCHAR   (16) NOT NULL,
    MODNAMECASE     VARCHAR   (16),
    MODFULLNAME     NVARCHAR2 (80) NOT NULL,
    MODTYPE         NUMBER    (3)  NOT NULL,
    AUTHOR          NVARCHAR2 (40),
    CREATIONDATE    DATE,
    LASTMODIFDATE   DATE,
    ATTRSVAL        VARCHAR2 (4000),
    MODDESC         LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME)
) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTMODULE2 ON SYSTMODULE(APPSYSTNAME,MODNAME);
2,CREATE TABLE SYSTMODULELST(
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    MODNAME         VARCHAR   (16) NOT NULL,
    SEQNO           NUMBER    (3)  NOT NULL,
    INCSYSTNAME     VARCHAR   (16) NOT NULL,
    INCSECTFULLPATH VARCHAR   (80) NOT NULL,
    INCMODNAME      VARCHAR   (16) NOT NULL,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,INCSYSTNAME,INCSECTFULLPATH,INCMODNAME)
) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTMODULELST2 ON SYSTMODULELST(APPSYSTNAME,MODNAME,INCSYSTNAME,INCMODNAME);
2,CREATE UNIQUE INDEX I_SYSTMODULELST3 ON SYSTMODULELST(APPSYSTNAME,MODNAME,SEQNO);
2,CREATE TABLE SYSTCOL (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    COLNAME         VARCHAR   (30) NOT NULL,
    COLNAMECASE     VARCHAR   (30),
    COLSYNONYM      VARCHAR   (30),
    COLFULLNAME     NVARCHAR2 (80),
    COLTYPE         NUMBER    (2)  NOT NULL,
    COLMAXSIZE      NUMBER    (5),
    COLNUMDEC       NUMBER    (2),
    COLAUTHOR       NVARCHAR2 (40),
    COLVERSION      NVARCHAR2 (6),
    COLCREATION     DATE,
    COLMODIF        DATE,
    COLDESC         LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,COLNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTCOL2 ON SYSTCOL(APPSYSTNAME,COLNAME);
2,CREATE TABLE SYSTTABLE (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    TABLENAME       VARCHAR   (30) NOT NULL,
    TABLENAMECASE   VARCHAR   (30),
    TABLESDESC      NVARCHAR2 (80),
    TABLEPREFIX     NVARCHAR2 (30),
    TABLESUFFIX     NVARCHAR2 (30),
    TABLEAUTHOR     NVARCHAR2 (40),
    TABLEVERSION    NVARCHAR2 (6),
    TABLECREATION   DATE,
    TABLEMODIF      DATE,
    TABLETYPE       NUMBER    (1)  NOT NULL,
    TABLEDESC       LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTTABLE2 ON SYSTTABLE(APPSYSTNAME,TABLENAME);
2,CREATE TABLE SYSTTABLECOL (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    TABLENAME       VARCHAR   (30)  NOT NULL,
    COLPOS          NUMBER    (5)   NOT NULL,
    COLNAME         VARCHAR   (30)  NOT NULL,
    COLPHYSNAME     NVARCHAR2 (240),
    COLNULL         NUMBER    (1)   NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,COLNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
-- Index removed because of synchronization problems
--2,CREATE UNIQUE INDEX I_SYSTTABLECOL3 ON SYSTTABLECOL(APPSYSTNAME,TABLENAME,COLPOS);
2,CREATE UNIQUE INDEX I_SYSTTABLECOL2 ON SYSTTABLECOL(APPSYSTNAME,TABLENAME,COLNAME);
2,CREATE TABLE SYSTTABLEIND (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    TABLENAME       VARCHAR   (30)  NOT NULL,
    INDEXNAME       VARCHAR   (128) NOT NULL,
    INDEXNAMECASE   VARCHAR   (128),
    INDEXSDESC      NVARCHAR2 (80),
    INDEXTYPE       NUMBER    (1)   NOT NULL,
    INDEXDESC       LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,INDEXNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTTABLEIND2 ON SYSTTABLEIND(APPSYSTNAME,TABLENAME,INDEXNAME);
2,CREATE TABLE SYSTTABLEINDCOL (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    TABLENAME       VARCHAR   (30)  NOT NULL,
    INDEXNAME       VARCHAR   (128) NOT NULL,
    INDEXNAMECASE   VARCHAR   (128) NULL,
    COLPOS          NUMBER    (5)   NOT NULL,
    COLNAME         VARCHAR   (30)  NOT NULL,
    ORDERTYPE       NUMBER    (1)   NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,INDEXNAME,COLNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTTABLEINDCOL2 ON SYSTTABLEINDCOL(APPSYSTNAME,TABLENAME,INDEXNAME,COLPOS);
2,CREATE UNIQUE INDEX I_SYSTTABLEINDCOL3 ON SYSTTABLEINDCOL(APPSYSTNAME,TABLENAME,INDEXNAME,COLNAME);
2,CREATE TABLE SYSTTABLEFK (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    TABLENAME       VARCHAR   (30)  NOT NULL,
    FKNAME          VARCHAR   (128) NOT NULL,
    FKNAMECASE      VARCHAR   (128),
    RELTABLENAME    VARCHAR   (30)  NOT NULL,
    FKTYPE          NUMBER    (1)   NOT NULL,
    FKSDESC         NVARCHAR2 (80),
    FKDESC          LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,FKNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTTABLEFK2 ON SYSTTABLEFK(APPSYSTNAME,TABLENAME,FKNAME);
2,CREATE TABLE SYSTTABLEFKCOL (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    TABLENAME       VARCHAR   (30)  NOT NULL,
    FKNAME          VARCHAR   (128) NOT NULL,
    COLPOS          NUMBER    (5)   NOT NULL,
    COLNAME         VARCHAR   (30)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,TABLENAME,FKNAME,COLNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTTABLEFKCOL2 ON SYSTTABLEFKCOL(APPSYSTNAME,TABLENAME,FKNAME,COLPOS);
2,CREATE UNIQUE INDEX I_SYSTTABLEFKCOL3 ON SYSTTABLEFKCOL(APPSYSTNAME,TABLENAME,FKNAME,COLNAME);
2,CREATE TABLE SYSTQUEST (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    QUNAME          VARCHAR   (30) NOT NULL,
    QUNAMECASE      VARCHAR   (30),
    COLNAME         VARCHAR   (30),
    QUTYPE          NUMBER    (3)  NOT NULL,
    QUATTR          NUMBER    (6),
    ANSATTR         NUMBER    (6),
    ANSMINCHR       NUMBER    (5)  NOT NULL,
    ANSMAXCHR       NUMBER    (5)  NOT NULL,
    ANSMINVALUE     NUMBER    (10),
    ANSMAXVALUE     NUMBER    (10),
    ANSNUMDEC       NUMBER    (3),
    DISPFLG         NUMBER    (8)  NOT NULL,
    INPMASK         NVARCHAR2 (240),
    OUTMASK         NVARCHAR2 (80),
    CDNCMD          NVARCHAR2 (240),
    CTLTYPE         NUMBER    (3)  NOT NULL,
    QUSDESC         NVARCHAR2 (80),
    PROPNAME        NVARCHAR2 (80),
    LISTSQLNAME     VARCHAR   (80),
    ATTRSVAL        VARCHAR2  (4000),
    QUNOTES         LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,QUNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTQUEST2 ON SYSTQUEST(APPSYSTNAME,QUNAME);
2,CREATE TABLE SYSTQUESTTXT (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    QUNAME          VARCHAR   (30)  NOT NULL,
    LANGUE          NUMBER    (3)   NOT NULL,
    QUDESC          NVARCHAR2 (80),
    COLDESC1        NVARCHAR2 (80),
    COLDESC2        NVARCHAR2 (80),
    ANSCHOICE       NVARCHAR2 (240),
    ANSDEFAULT      NVARCHAR2 (240),
    QUHELP          LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,QUNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTQUESTTXT2 ON SYSTQUESTTXT(APPSYSTNAME,QUNAME,LANGUE);
2,CREATE TABLE SYSTACTION (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    MODNAME         VARCHAR   (16) NOT NULL,
    ACTIONNAME      VARCHAR   (16) NOT NULL,
    ACTIONFULLNAME  NVARCHAR2 (80) NOT NULL,
    ACTIONID        NUMBER    (6),
    ACTIONCAT       NUMBER    (6)  NOT NULL,
    ACTIONSTATE     NUMBER    (6)  NOT NULL,
    ACTIONALIVE     NUMBER    (1),
    ACTIONNOTES     LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,ACTIONNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTACTION2 ON SYSTACTION(APPSYSTNAME,MODNAME,ACTIONNAME);
2,CREATE TABLE SYSTACTIONTXT (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    MODNAME         VARCHAR   (16) NOT NULL,
    ACTIONNAME      VARCHAR   (16) NOT NULL,
    LANGUE          NUMBER    (3)  NOT NULL,
    TOOLTIPTEXT     NVARCHAR2 (40),
    STATUSBARTEXT   NVARCHAR2 (80),
    BUTTONTEXT      NVARCHAR2 (80),
    ACTIONFULLHELP  LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,ACTIONNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTACTIONTXT2 ON SYSTACTIONTXT(APPSYSTNAME,MODNAME,ACTIONNAME,LANGUE);
2,CREATE TABLE SYSTMITEM(
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    MODNAME         VARCHAR   (16) NOT NULL,
    MITEMNAME       VARCHAR   (16) NOT NULL,
    MITEMTYPE       NUMBER    (3)  NOT NULL,
    ACTIONNAME      VARCHAR   (16) NOT NULL,
    MITEMSDESC      NVARCHAR2 (80),
    MITEMFATHER     VARCHAR   (16),
    MITEMPOS        NUMBER    (5)  NOT NULL,
    MITEMACCEL      NUMBER    (5),
    MITEMALIVE      NUMBER    (1)  NOT NULL,
    MITEMATTR       NUMBER    (5),
    MITEMNOTES      LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,MITEMNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTMITEM2 ON SYSTMITEM(APPSYSTNAME,MODNAME,MITEMNAME);
2,CREATE TABLE SYSTMITEMTXT(
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    MODNAME         VARCHAR   (16) NOT NULL,
    MITEMNAME       VARCHAR   (16) NOT NULL,
    LANGUE          NUMBER    (3)  NOT NULL,
    MITEMTEXT       NVARCHAR2 (40),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,MITEMNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTMITEMTXT2 ON SYSTMITEMTXT(APPSYSTNAME,MODNAME,MITEMNAME,LANGUE);
2,CREATE TABLE SYSTMENULIST (
    APPOWNSYSTNAME  VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    APPSUBSYSTNAME  VARCHAR   (16) NOT NULL,
    MENUPOS         NUMBER    (6)  NOT NULL,
    MENUPROG        NVARCHAR2 (128),
    MENUSDESC       NVARCHAR2 (80),
    ACCESSCAT       NUMBER    (2)  NOT NULL,
    PRGTYPE         NUMBER    (1),
    PROTECPRGID     VARCHAR   (16),
    MENUNOTES       LONG,
    PRIMARY KEY(APPOWNSYSTNAME,SECTFULLPATH,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTMENULIST2 ON SYSTMENULIST(APPOWNSYSTNAME,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS);
2,CREATE        INDEX I_SYSTMENULIST3 ON SYSTMENULIST(APPSYSTNAME,APPSUBSYSTNAME,MENUPOS);
2,CREATE TABLE SYSTMENULISTTXT (
    APPOWNSYSTNAME  VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    APPSUBSYSTNAME  VARCHAR   (16) NOT NULL,
    MENUPOS         NUMBER    (6)  NOT NULL,
    LANGUE          NUMBER    (3)  NOT NULL,
    MENUDESC        NVARCHAR2 (40),
    PRIMARY KEY(APPOWNSYSTNAME,SECTFULLPATH,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_SYSTMENULISTTXT2 ON SYSTMENULISTTXT(APPOWNSYSTNAME,APPSYSTNAME,APPSUBSYSTNAME,MENUPOS,LANGUE);
2,CREATE        INDEX I_SYSTMENULISTTXT3 ON SYSTMENULISTTXT(APPSYSTNAME,APPSUBSYSTNAME,MENUPOS,LANGUE);
2,CREATE TABLE SYSTHELPSYST (
    LANGUE          NUMBER    (3)  NOT NULL,
    SUBFATHER       VARCHAR   (16) NOT NULL,
    SUBNAME         VARCHAR   (16) NOT NULL,
    SUBDESC         LONG
    );
2,CREATE TABLE SYSTHELPPROC (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    LANGUE          NUMBER    (3)  NOT NULL,
    SUBFATHER       VARCHAR   (16) NOT NULL,
    SUBNAME         VARCHAR   (16) NOT NULL,
    SUBDESC         LONG
    );
2,CREATE TABLE APPSTR (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    MODNAME         VARCHAR   (16) NOT NULL,
    LANGUE          NUMBER    (3)  NOT NULL,
    STRNAME         VARCHAR   (80) NOT NULL,
    STRNAMECASE     VARCHAR   (80),
    STRTYPE         NUMBER    (1)  NOT NULL,
    STRLONGNAME     NVARCHAR2 (80),
    STRDESC         LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,STRTYPE,STRNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPSTR2 ON APPSTR(APPSYSTNAME,MODNAME,LANGUE,STRTYPE,STRNAME);
2,CREATE TABLE APPBLOB (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    MODNAME         VARCHAR   (16) NOT NULL,
    LANGUE          NUMBER    (3)  NOT NULL,
    BLOBNAME        VARCHAR   (64) NOT NULL,
    BLOBNAMECASE    VARCHAR   (64),
    BLOBSDESC       NVARCHAR2 (80),
    BLOBDESC        LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,BLOBNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPBLOB2 ON APPBLOB(APPSYSTNAME,MODNAME,LANGUE,BLOBNAME);
2,CREATE TABLE APPBLOBDATA (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    MODNAME         VARCHAR   (16) NOT NULL,
    LANGUE          NUMBER    (3)  NOT NULL,
    BLOBNAME        VARCHAR   (64) NOT NULL,
    BLOBSEQNO       NUMBER    (10) NOT NULL,
    BLOBDATA        LONG RAW,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,LANGUE,BLOBNAME,BLOBSEQNO)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPBLOBDATA2 ON APPBLOBDATA(APPSYSTNAME,MODNAME,LANGUE,BLOBNAME,BLOBSEQNO);
2,CREATE TABLE APPMACRO (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    APPNAME         VARCHAR   (16) NOT NULL,
    LANGUE          NUMBER    (3)  NOT NULL,
    MACROUNIQUENAME VARCHAR   (32) NOT NULL,
    MACRONAME       NVARCHAR2 (32) NOT NULL,
    MACROTYPE       NUMBER    (3)  NOT NULL,
    MACROACCESS     NUMBER    (3)  NOT NULL,
    MACRORELNAME    NVARCHAR2 (32) NOT NULL,
    MACRODESC       NVARCHAR2 (240),
    MACROACCKEY     NUMBER    (7),
    MACROSQLCMD     LONG,
    CARDNAME        VARCHAR   (30),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,MACROUNIQUENAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPMACRO2 ON APPMACRO(APPSYSTNAME,APPNAME,LANGUE,MACROUNIQUENAME);
2,CREATE TABLE APPMACROQUEST (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    APPNAME         VARCHAR   (16) NOT NULL,
    LANGUE          NUMBER    (3)  NOT NULL,
    MACROUNIQUENAME VARCHAR   (32) NOT NULL,
    MACRONAME       VARCHAR   (32),
    QUNAME          VARCHAR   (30) NOT NULL,
    QUINDEX         NUMBER    (5)  NOT NULL,
    QUTABLE         VARCHAR   (30),
    QUDESC          NVARCHAR2 (80),
    QUDEFANS        NVARCHAR2 (80),
    QUSUBST         NVARCHAR2 (30),
    QUSTATE         NUMBER    (8),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,MACROUNIQUENAME,QUNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPMACROQUEST2 ON APPMACROQUEST(APPSYSTNAME,APPNAME,LANGUE,MACROUNIQUENAME,QUNAME);
2,CREATE TABLE MODHTMLFILE(
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    MODNAME         VARCHAR   (16)  NOT NULL,
    HTMLFILENAMEUC  VARCHAR   (255) NOT NULL,
    HTMLFILENAME    VARCHAR   (255) NOT NULL,
    HTMLOPT         NUMBER    (10)  NOT NULL,
    ISMULTILANGUAGE NUMBER    (3)   NOT NULL,
    ATTRSVAL        VARCHAR2  (4000),
    HTMLFILEDESC    LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_MODHTMLFILE2 ON MODHTMLFILE(APPSYSTNAME,MODNAME,HTMLFILENAMEUC);
2,CREATE TABLE MODHTMLFILEASSIGN(
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    MODNAME         VARCHAR   (16)  NOT NULL,
    HTMLFILENAMEUC  VARCHAR   (255) NOT NULL,
    HTMLFORMNAME    VARCHAR   (255) NOT NULL,
    HTMLCTLNAME     VARCHAR   (255) NOT NULL,
    GRPNAME         VARCHAR   (30)  NOT NULL,
    FLDNAME         VARCHAR   (30)  NOT NULL,
    ASSIGNTYPE      NUMBER    (3)   NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_MODHTMLFILEASSIGN2 ON MODHTMLFILEASSIGN(APPSYSTNAME,MODNAME,HTMLFILENAMEUC,HTMLFORMNAME,HTMLCTLNAME);
2,CREATE TABLE MODGRP (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    MODNAME         VARCHAR   (16)  NOT NULL,
    GRPNAME         VARCHAR   (30)  NOT NULL,
    GRPNAMECASE     VARCHAR   (30),
    GRPSDESC        NVARCHAR2 (80),
    CLASSNAME       NVARCHAR2 (80),
    TABLENAME       VARCHAR   (30),
    ATTRSVAL        VARCHAR2  (4000),
    GRPDESC         NVARCHAR2 (2000),
    DMLCMD          LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_MODGRP2 ON MODGRP(APPSYSTNAME,MODNAME,GRPNAME);
2,CREATE TABLE MODGRPTXT (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    MODNAME         VARCHAR   (16)  NOT NULL,
    GRPNAME         VARCHAR   (30)  NOT NULL,
    LANGUE          NUMBER    (3)   NOT NULL,
    GRPHELP         LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_MODGRPTXT2 ON MODGRPTXT(APPSYSTNAME,MODNAME,GRPNAME,LANGUE);
2,CREATE TABLE APPQUEST (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    MODNAME         VARCHAR   (16) NOT NULL,
    GRPNAME         VARCHAR   (30) NOT NULL,
    QUINDEX         NUMBER    (5)  NOT NULL,
    QUNAME          VARCHAR   (30) NOT NULL,
    TABLENAME       VARCHAR   (30),
    PROPNAME        NVARCHAR2 (80),
    QUSTATE         NUMBER    (8)  NOT NULL,
    DISPFLG         NUMBER    (8),
    SQLNAME         VARCHAR   (80),
    LISTSQLNAME     VARCHAR   (80),
    INPMASK         NVARCHAR2 (240),
    OUTMASK         NVARCHAR2 (80),
    CDNCMD          NVARCHAR2 (240),
    ATTRSVAL        VARCHAR2  (4000),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,QUNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPQUEST2 ON APPQUEST(APPSYSTNAME,MODNAME,GRPNAME,QUNAME);
2,CREATE TABLE APPQUESTTXT (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    MODNAME         VARCHAR   (16) NOT NULL,
    GRPNAME         VARCHAR   (30) NOT NULL,
    QUNAME          VARCHAR   (30) NOT NULL,
    LANGUE          NUMBER    (3)  NOT NULL,
    QUDESC          NVARCHAR2 (80),
    ANSMAXDISPCHR   NUMBER    (3)  NOT NULL,
    QUATTR          NUMBER    (6),
    ANSATTR         NUMBER    (6),
    QUPOSX          NUMBER    (3)  NOT NULL,
    QUPOSY          NUMBER    (3)  NOT NULL,
    ANSPOSX         NUMBER    (3)  NOT NULL,
    ANSPOSY         NUMBER    (3)  NOT NULL,
    ANSDEFAULT      NVARCHAR2 (240),
    QUHELP          LONG,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,QUNAME,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPQUESTTXT2 ON APPQUESTTXT(APPSYSTNAME,MODNAME,GRPNAME,QUNAME,LANGUE);
2,CREATE TABLE MODCARD(
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    MODNAME         VARCHAR   (16)  NOT NULL,
    CARDNAME        VARCHAR   (30)  NOT NULL,
    CARDNAMECASE    VARCHAR   (30),
    CARDSDESC       NVARCHAR2 (80),
    CLASSNAME       NVARCHAR2 (80),
    CARDOPT         NUMBER    (3),
    ATTRSVAL        VARCHAR2  (4000),
    CARDDESC        LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME) )
    ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE MODCARDGRP(
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    MODNAME         VARCHAR   (16)  NOT NULL,
    CARDNAME        VARCHAR   (30)  NOT NULL,
    CARDGRPID       NUMBER    (10)  NOT NULL,
    GRPNAME         VARCHAR   (30)  NOT NULL,
    CARDGRPSDESC    NVARCHAR2 (80),
    CLASSNAME       NVARCHAR2 (80),
    FATHERCARDGRPID NUMBER    (10)  NOT NULL,
    GRPTYPE         NUMBER    (1)   NOT NULL,
    GRPINSTOPT      NUMBER    (2)   NOT NULL,
    DELAYREADING    NUMBER    (1)   NOT NULL,
    SQLCACHEOPT     NUMBER    (1)   NOT NULL,
    DATACACHESIZE   NUMBER    (10)  NOT NULL,
    DELCACHESIZE    NUMBER    (10)  NOT NULL,
    ISPKBROKEN      NUMBER    (1),
    AUTOINCMODE     NUMBER    (2),
    SEQNAME         VARCHAR   (30),
    ATTRSVAL        VARCHAR2  (4000),
    DMLCMD          LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,CARDNAME,CARDGRPID) )
    ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE APPCTL (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    MODNAME         VARCHAR   (16)  NOT NULL,
    GRPNAME         VARCHAR   (30)  NOT NULL,
    LANGUE          NUMBER    (3)   NOT NULL,
    CTLUNIQUEID     NUMBER    (6)   NOT NULL,
    QUNAME          VARCHAR   (30),
    CTLID           NUMBER    (6)   NOT NULL,
    CTLTYPE         NUMBER    (3)   NOT NULL,
    CTLCLASS        NUMBER    (12)  NOT NULL,
    CTLCLASSNAME    NVARCHAR2 (48)  NOT NULL,
    CTLTEXT         NVARCHAR2 (240),
    CTLLOCK         NUMBER    (1)   NOT NULL,
    CTLLINK         NUMBER    (1)   NOT NULL,
    CTLREPLACEFLD   NUMBER    (1)   NOT NULL,
    CTLPOSX         NUMBER    (5)   NOT NULL,
    CTLPOSY         NUMBER    (5)   NOT NULL,
    CTLEXTX         NUMBER    (5)   NOT NULL,
    CTLEXTY         NUMBER    (5)   NOT NULL,
    CTLFONTHEIGHT   NUMBER    (6),
    CTLFONTSTYLE    NUMBER    (12),
    CTLFONTCOLOR    NUMBER    (10),
    CTLFONTNAME     VARCHAR   (32),
    CTLBACKCOLOR    NUMBER    (10),
    CTLACCKEY       NUMBER    (7),
    CTLBITMAP       VARCHAR   (64),
    CTLINDEX        NUMBER    (5),
    CTLNAME         VARCHAR   (30),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,CTLUNIQUEID)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPCTL2 ON APPCTL(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,CTLUNIQUEID);
2,CREATE TABLE APPIMPANS (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    APPNAME         VARCHAR   (16) NOT NULL,
    LANGUE          NUMBER    (3)  NOT NULL,
    RIACCESS        NUMBER    (3)  NOT NULL,
    RIRELNAME       VARCHAR   (32) NOT NULL,
    GRPNAME         VARCHAR   (30) NOT NULL,
    QUNAME          VARCHAR   (30) NOT NULL,
    ANSORIGIN       VARCHAR   (1)  NOT NULL,
    ANSCONSTANT     VARCHAR   (80),
    ANSQUNAME       VARCHAR   (30),
    ANSOP           VARCHAR   (1)  NOT NULL,
    ANSOPCONSTANT   VARCHAR   (80),
    ANSOPSPEC       VARCHAR   (1)  NOT NULL,
    ANSSTATE        VARCHAR   (1)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,RIACCESS,RIRELNAME,GRPNAME,QUNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPIMPANS2 ON APPIMPANS(APPSYSTNAME,APPNAME,LANGUE,RIACCESS,RIRELNAME,GRPNAME,QUNAME);
2,CREATE TABLE APPSCRFORMAT (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    APPNAME         VARCHAR   (16) NOT NULL,
    SFACCESS        NUMBER    (3)  NOT NULL,
    SFRELNAME       VARCHAR   (32) NOT NULL,
    SFQVSIZE        NUMBER    (8)  NOT NULL,
    SFREGWINDOW     NUMBER    (1)  NOT NULL,
    TOOLPRESENCE    NUMBER    (8),
    TOOLSTATE       NUMBER    (8),
    TOOL0XPOS       NUMBER    (5),
    TOOL0YPOS       NUMBER    (5),
    TOOL1XPOS       NUMBER    (5),
    TOOL1YPOS       NUMBER    (5),
    TOOL2XPOS       NUMBER    (5),
    TOOL2YPOS       NUMBER    (5),
    TOOL3XPOS       NUMBER    (5),
    TOOL3YPOS       NUMBER    (5),
    TOOL4XPOS       NUMBER    (5),
    TOOL4YPOS       NUMBER    (5),
    TOOL5XPOS       NUMBER    (5),
    TOOL5YPOS       NUMBER    (5),
    TOOL6XPOS       NUMBER    (5),
    TOOL6YPOS       NUMBER    (5),
    TOOL7XPOS       NUMBER    (5),
    TOOL7YPOS       NUMBER    (5),
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,SFACCESS,SFRELNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPSCRFORMAT2 ON APPSCRFORMAT(APPSYSTNAME,APPNAME,SFACCESS,SFRELNAME);
2,CREATE  TABLE APPTOOLFORMAT (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    APPNAME         VARCHAR   (16)  NOT NULL,
    LANGUE          NUMBER    (3)   NOT NULL,
    TOOLACCESS      NUMBER    (3)   NOT NULL,
    TOOLRELNAME     VARCHAR   (32)  NOT NULL,
    TOOLCAT         NUMBER    (3)   NOT NULL,
    TOOLTYPE        NUMBER    (3)   NOT NULL,
    TOOLTAG         VARCHAR   (64)  NOT NULL,
    TOOLVALID       RAW     (128) NOT NULL,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG)
    )  ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPTOOLFORMAT2 ON APPTOOLFORMAT(APPSYSTNAME,APPNAME,LANGUE,
TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG);
2,CREATE TABLE APPTOOLFORMATDATA ( 
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    APPNAME         VARCHAR   (16)  NOT NULL,
    LANGUE          NUMBER    (3)   NOT NULL,
    TOOLACCESS      NUMBER    (3)   NOT NULL,
    TOOLRELNAME     VARCHAR   (32)  NOT NULL,
    TOOLCAT         NUMBER    (3)   NOT NULL,
    TOOLTYPE        NUMBER    (3)   NOT NULL,
    TOOLTAG         VARCHAR   (64)  NOT NULL,
    TOOLSEQ         NUMBER    (3)   NOT NULL,
    TOOLDATA        LONG RAW,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,APPNAME,LANGUE,TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG,TOOLSEQ)
    )  ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPTOOLFRMTDATA2 ON APPTOOLFORMATDATA(APPSYSTNAME,APPNAME,LANGUE,
TOOLACCESS,TOOLRELNAME,TOOLCAT,TOOLTYPE,TOOLTAG,TOOLSEQ);
2,CREATE  TABLE FORMPERSIST (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    MODNAME         VARCHAR   (16)  NOT NULL,
    GRPNAME         VARCHAR   (30)  NOT NULL,
    LANGUE          NUMBER    (3)   NOT NULL,
    PERSCAT         NUMBER    (3)   NOT NULL,
    PERSTYPE        NUMBER    (3)   NOT NULL,
    PERSTAG         VARCHAR   (64)  NOT NULL,
    PERSVALID       RAW       (128)  NOT NULL,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG)
    )  ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_FORMPERSIST2 ON FORMPERSIST(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,
PERSCAT,PERSTYPE,PERSTAG);
2,CREATE TABLE FORMPERSISTDATA ( 
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    MODNAME         VARCHAR   (16)  NOT NULL,
    GRPNAME         VARCHAR   (30)  NOT NULL,
    LANGUE          NUMBER    (3)   NOT NULL,
    PERSCAT         NUMBER    (3)   NOT NULL,
    PERSTYPE        NUMBER    (3)   NOT NULL,
    PERSTAG         NVARCHAR2 (64)  NOT NULL,
    PERSSEQ         NUMBER    (3)   NOT NULL,
    PERSDATA        LONG RAW,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GRPNAME,LANGUE,PERSCAT,PERSTYPE,PERSTAG,PERSSEQ)
    )  ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_FORMPERSISTDATA2 ON FORMPERSISTDATA(APPSYSTNAME,MODNAME,GRPNAME,LANGUE,
PERSCAT,PERSTYPE,PERSTAG,PERSSEQ);
2,CREATE TABLE APPPRTDEF (
    APPSYSTNAME     VARCHAR   (16) NOT NULL,
    SECTFULLPATH    VARCHAR   (80) NOT NULL,
    APPNAME         VARCHAR   (16) NOT NULL,
    PRTACCESS       NUMBER    (3)  NOT NULL,
    PRTRELNAME      VARCHAR   (32) NOT NULL,
    GRPNAME         VARCHAR   (30) NOT NULL,
    QUNAME          VARCHAR   (30) NOT NULL,
    ANSMAXDISPCHR   NUMBER    (3)  NOT NULL,
    QUINDEX         NUMBER    (5)  NOT NULL,
    QUISVISIBLE     NUMBER    (1)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,SECTFULLPATH,APPNAME,PRTACCESS,PRTRELNAME,GRPNAME,QUNAME)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE UNIQUE INDEX I_APPPRTDEF2 ON APPPRTDEF(APPSYSTNAME,APPNAME,PRTACCESS,PRTRELNAME,GRPNAME,QUNAME);
2,CREATE TABLE MODTYPELIB ( 
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    MODNAME         VARCHAR   (16)  NOT NULL,
    GUID            VARCHAR   (48)  NOT NULL, 
    TYPELIBNAME     VARCHAR   (64)  NOT NULL,
    TYPELIB         NUMBER    (3)   NOT NULL,
    MAJVERSION      NUMBER    (3),
    MINVERSION      NUMBER    (3),
    LCID            NUMBER    (9),
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,MODNAME,GUID)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTENTRY(
    ENTRYSYSTID     VARCHAR   (16)  NOT NULL,
    ENTRYID         VARCHAR   (16)  NOT NULL,
    FULLNAME        NVARCHAR2 (80)  NOT NULL,
    DATATYPE        NUMBER    (1)   NOT NULL,
    CONFLICTRES     NUMBER    (1)   NOT NULL,
    DEFAULTVAL      NVARCHAR2 (128) NOT NULL,
    SUPERVAL        NVARCHAR2 (128) NOT NULL,
    ENTRYNOTES      LONG,
    PRIMARY KEY (ENTRYSYSTID, ENTRYID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTASSIGN (
    ENTRYSYSTID     VARCHAR   (16)  NOT NULL,
    ENTRYID         VARCHAR   (16)  NOT NULL,
    ASSIGNENTRYTYPE NUMBER    (1),
    ASSIGNPRGTYPE   NUMBER    (1)   NOT NULL,
    SYSTID          VARCHAR   (16)  NOT NULL,
    PRGID           VARCHAR   (16)  NOT NULL,
    USERCONTEXT     NVARCHAR2 (255) NOT NULL,
    ASSIGNUSRTYPE   NUMBER    (1)   NOT NULL,
    USRID           VARCHAR   (16)  NOT NULL,
    COMPID          VARCHAR   (16)  NOT NULL,
    STATIONID       VARCHAR   (16)  NOT NULL,
    DATESTART       DATE          NOT NULL,
    DATEEND         DATE          NOT NULL,
    TIMESTART       DATE          NOT NULL,
    TIMEEND         DATE          NOT NULL,
    WEEKDAYSTART    NUMBER    (1)   NOT NULL,
    WEEKDAYEND      NUMBER    (1)   NOT NULL,
    LANGUAGE        NUMBER    (2)   NOT NULL,
    DBENGINEID      NUMBER    (4)   NOT NULL,
    ASSIGNVAL       NVARCHAR2 (128) NOT NULL,
    ASSIGNSDESC     NVARCHAR2 (80),
    PRIMARY KEY (ENTRYSYSTID, ENTRYID, ASSIGNPRGTYPE, SYSTID, PRGID,
                 USERCONTEXT,ASSIGNUSRTYPE, USRID, COMPID, STATIONID,
                 DATESTART, DATEEND, TIMESTART, TIMEEND,
                 WEEKDAYSTART, WEEKDAYEND)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTUSR(
    USRID          VARCHAR    (16)   NOT NULL,
    FULLNAME       NVARCHAR2  (80)   NOT NULL,
    PASSWORD       RAW        (40),
    EMAIL          NVARCHAR2  (240),
    USRSDESC       NVARCHAR2  (80),
    ATTRSVAL       VARCHAR2   (4000),
    PRIMARY KEY (USRID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTUSRGRP (
    USRGRPID        VARCHAR   (16)  NOT NULL,
    FULLNAME        NVARCHAR2 (80)  NOT NULL,
    PRIMARY KEY (USRGRPID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTUSRGRPMBR (
    USRGRPID        VARCHAR   (16)  NOT NULL,
    MBRTYPE         NUMBER    (1)   NOT NULL,
    MBRID           VARCHAR   (16)  NOT NULL,
    PRIMARY KEY (USRGRPID, MBRTYPE, MBRID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTCOMP (
    COMPID          VARCHAR   (16)  NOT NULL,
    COMPFULLNAME    NVARCHAR2 (140) NOT NULL,
    COMPSHORTNAME   NVARCHAR2 (40)  NOT NULL,
    ADDRESS         NVARCHAR2 (140),
    CITY            NVARCHAR2 (80),
    STATE           NVARCHAR2 (40),
    COUNTRY         NVARCHAR2 (40),
    ZIP             NVARCHAR2 (12),
    TEL             NVARCHAR2 (20),
    FAX             NVARCHAR2 (20),
    COMPSDESC       NVARCHAR2 (80),
    ATTRSVAL        VARCHAR2  (4000),
    PRIMARY KEY (COMPID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTPRGGRP (
    SYSTID          VARCHAR   (16)  NOT NULL,
    PRGGRPID        VARCHAR   (16)  NOT NULL,
    FULLNAME        NVARCHAR2 (80)  NOT NULL,
    PRIMARY KEY (SYSTID,PRGGRPID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTPRGGRPMBR (
    SYSTID          VARCHAR   (16)  NOT NULL,
    PRGGRPID        VARCHAR   (16)  NOT NULL,
    MBRTYPE         NUMBER    (1)   NOT NULL,
    MBRSYSTID       VARCHAR   (16)  NOT NULL,
    MBRID           VARCHAR   (16)  NOT NULL,
    PRIMARY KEY (SYSTID,PRGGRPID,MBRTYPE,MBRSYSTID,MBRID)
  ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTFUNC (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    FUNCID          VARCHAR   (16)  NOT NULL,
    ENTRYSYSTID     VARCHAR   (16)  NOT NULL,
    ENTRYID         VARCHAR   (16)  NOT NULL,
    FUNCCAT         NVARCHAR2 (40),
    FUNCVALUE       NVARCHAR2 (128) NOT NULL, 
    FUNCSDESC       NVARCHAR2 (80),
    FUNCNOTES       LONG,
    PRIMARY KEY(APPSYSTNAME,FUNCID)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTFUNCTXT (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    FUNCID          VARCHAR   (16)  NOT NULL,
    LANGUE          NUMBER    (3)   NOT NULL,
    FUNCNAME        NVARCHAR2 (40)  NOT NULL,
    FUNCHELP        LONG,
    PRIMARY KEY(APPSYSTNAME,FUNCID,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTROLE (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    ROLEID          VARCHAR   (16)  NOT NULL,
    ROLECAT         NVARCHAR2 (40),
    CREATIONDATE    DATE,
    LASTMODIFDATE   DATE,
    ROLESDESC       NVARCHAR2 (80),
    ROLENOTES       LONG,
    PRIMARY KEY(APPSYSTNAME,ROLEID)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTROLETXT (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    ROLEID          VARCHAR   (16)  NOT NULL,
    LANGUE          NUMBER    (3)   NOT NULL,
    ROLENAME        VARCHAR   (40)  NOT NULL,
    ROLEHELP        LONG,
    PRIMARY KEY(APPSYSTNAME,ROLEID,LANGUE)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE PROTROLEFUNC (
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    ROLEID          VARCHAR   (16)  NOT NULL,
    FUNCID          VARCHAR   (16)  NOT NULL,
    PRIMARY KEY(APPSYSTNAME,ROLEID,FUNCID)
    ) ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE VCSHISTORY(
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    COMPNAME        VARCHAR   (30)  NOT NULL,
    COMPTYPE        NUMBER    (3)   NOT NULL,
    USRID           VARCHAR   (16)  NOT NULL,
    HISTORYDATE     DATE            NOT NULL,
    ACTIONCODE      NUMBER    (3)   NOT NULL,
    VERSION         NUMBER    (6)   NOT NULL,
    HISTORYDESC     LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE,HISTORYDATE,ACTIONCODE) )
  ENABLE PRIMARY KEY USING INDEX;
0,DROP INDEX SD_PRIMARY_VCSHISTORY;
2,CREATE TABLE VCSCKTRANSLOG(
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    COMPNAME        VARCHAR   (30)  NOT NULL,
    COMPTYPE        NUMBER    (3)   NOT NULL,
    USRID           VARCHAR   (16)  NOT NULL,
    STRINGDATA1     VARCHAR2  (80),
    NUMDATA1        NUMBER    (3),
    SUBCOMPINDEX    NUMBER    (6)   NOT NULL,
    STRINGDATA2     VARCHAR2  (80),
    STRINGDATA3     VARCHAR2  (80)  NOT NULL,
    NUMDATA2        NUMBER    (3)   NOT NULL,
    MODCODE         NUMBER    (3)   NOT NULL,
    LONGDATA1       LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE,STRINGDATA1,NUMDATA1,SUBCOMPINDEX,STRINGDATA3,NUMDATA2) )
  ENABLE PRIMARY KEY USING INDEX;
0,DROP INDEX SD_PRIMARY_VCSCKTRANSLOG;
2,CREATE TABLE VCSCHECKOUTLST(
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    COMPNAME        VARCHAR   (30)  NOT NULL,
    COMPTYPE        NUMBER    (3)   NOT NULL,
    USRID           VARCHAR   (16)  NOT NULL,
    CHECKOUTDATE    DATE            NOT NULL,
    LASTMODIFDATE   DATE,
    CHECKOUTDESC    LONG,
    PRIMARY KEY (APPSYSTNAME,SECTFULLPATH,COMPNAME,COMPTYPE) )
  ENABLE PRIMARY KEY USING INDEX;
0,DROP INDEX SD_PRIMARY_VCSCHECKOUTLST;
2,CREATE TABLE USRDEFATTRLST(
    ATTRLSTNAME     VARCHAR  (16)  NOT NULL,
    CREATIONDATE    DATE,
    LASTMODIFDATE   DATE,
    ATTRLSTSDESC    NVARCHAR2 (80),
    ATTRLSTNOTES    LONG,
    PRIMARY KEY (ATTRLSTNAME))
  ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE USRDEFATTRLSTSYS(
    ATTRLSTNAME     VARCHAR   (16)  NOT NULL,
    APPSYSTNAME     VARCHAR   (16)  NOT NULL,
    SECTFULLPATH    VARCHAR   (80)  NOT NULL,
    PRIMARY KEY(ATTRLSTNAME,APPSYSTNAME,SECTFULLPATH))
  ENABLE PRIMARY KEY USING INDEX;
2,CREATE TABLE USRDEFATTR(
    ATTRLSTNAME     VARCHAR   (16)  NOT NULL,
    ATTRNAME        VARCHAR   (16)  NOT NULL,
    ATTRPROMPT      VARCHAR   (80),
    ATTRCAT         NUMBER    (2)   NOT NULL,
    ATTRTYPE        NUMBER    (3)   NOT NULL,
    ANSDEFAULT      NVARCHAR2 (240),
    ANSCHOICE       NVARCHAR2 (240),
    CTLTYPE         NUMBER    (3)   NOT NULL,
    ATTRMAXSIZE     NUMBER    (2)   NOT NULL,
    ATTRFLAGS       NUMBER    (3)   NOT NULL,
    ATTRSDESC       NVARCHAR2 (80),
    ATTRHELP        LONG,
    PRIMARY KEY(ATTRLSTNAME,ATTRNAME,ATTRCAT)
    ) ENABLE PRIMARY KEY USING INDEX;
1,INSERT INTO PROTUSR(
    USRID,
    FULLNAME,
    PASSWORD
  ) VALUES (
    '$SUPERUSER',
    'Security Manager',
    NULL);
1,INSERT INTO PROTUSR(
    USRID,
    FULLNAME,
    PASSWORD
  ) VALUES (
    'DEMO',
    'Demonstration user',
    NULL);
1,INSERT INTO PROTUSRGRP(
    USRGRPID,
    FULLNAME
  ) VALUES (
    '$EVERYBODY',
    'All users');
1,INSERT INTO PROTUSRGRPMBR(
    USRGRPID,
    MBRTYPE,
    MBRID
  ) VALUES (
    '$EVERYBODY',
    1,
    'DEMO');
1,INSERT INTO PROTCOMP(
    COMPID,
    COMPFULLNAME,
    COMPSHORTNAME,
    ADDRESS,
    CITY,
    STATE,
    COUNTRY,
    ZIP,
    TEL,
    FAX
  ) VALUES (
    'CONSYST',
    'Consyst SQL Inc.',
    'CONSYST',
    '2064, rue St-Hubert',
    'Montral',
    'Qubec',
    'Canada',
    'H2L 3Z5',
    '(514) 849-7431',
    '(514) 849-8125');
1,INSERT INTO PROTENTRY(
    ENTRYSYSTID,
    ENTRYID,
    FULLNAME,
    DATATYPE,
    CONFLICTRES,
    DEFAULTVAL,
    SUPERVAL,
    ENTRYNOTES
  ) VALUES (
    '$SYSTEM',
    '$REP_IMPORT_SYS',
    'Permission to import systems',
    1,
    1,
    'F',
    'T',
    NULL);
